# Method: anomalies.list

- [HTTP request](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.request_body)
- [Response body](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.response_body)
  - [JSON representation](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.ListAnomaliesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies/list#body.aspect)

Lists anomalies in any of the datasets.

### HTTP request

`GET https://playdeveloperreporting.googleapis.com/v1alpha1/{parent=apps/*}/anomalies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent app for which anomalies were detected. Format: apps/{app} |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Filtering criteria for anomalies. For basic filter guidance, please check: <https://google.aip.dev/160>. **Supported functions:** - `activeBetween(startTime, endTime)`: If specified, only list anomalies that were active in between `startTime` (inclusive) and `endTime` (exclusive). Both parameters are expected to conform to an RFC-3339 formatted string (e.g. `2012-04-21T11:30:00-04:00`). UTC offsets are supported. Both `startTime` and `endTime` accept the special value `UNBOUNDED`, to signify intervals with no lower or upper bound, respectively. Examples: - `activeBetween("2021-04-21T11:30:00Z", "2021-07-21T00:00:00Z")` - `activeBetween(UNBOUNDED, "2021-11-21T00:00:00-04:00")` - `activeBetween("2021-07-21T00:00:00-04:00", UNBOUNDED)` |
| `pageSize` | `integer` Maximum size of the returned data. If unspecified, at most 10 anomalies will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` A page token, received from a previous `ListErrorReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListErrorReports` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response with a list of anomalies in datasets.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "anomalies": [ { object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#Anomaly`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `anomalies[]` | ``object (`https://developers.google.com/play/developer/reporting/reference/rest/v1alpha1/anomalies#Anomaly`)`` Anomalies that were found. |
| `nextPageToken` | `string` Continuation token to fetch the next page of data. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/playdeveloperreporting`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).